Package org.eclipse.rdf4j.sail.extensiblestore.evaluationstatistics

## Class ExtensibleConstantEvaluationStatistics

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics
  - - org.eclipse.rdf4j.sail.extensiblestore.evaluationstatistics.ExtensibleEvaluationStatistics
    - - org.eclipse.rdf4j.sail.extensiblestore.evaluationstatistics.ExtensibleConstantEvaluationStatistics

-     @Experimental
      public class ExtensibleConstantEvaluationStatistics
      extends ExtensibleEvaluationStatistics

  ExtensibleDirectEvaluationStatistics provides evaluation statistics by using the default implementation. The default implementation uses constants to return cardinalities for various patterns.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics

      `EvaluationStatistics.CardinalityCalculator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtensibleConstantEvaluationStatistics​(ExtensibleSailStore extensibleSailStore)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected EvaluationStatistics.CardinalityCalculator` | `createCardinalityCalculator()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.EvaluationStatistics

      `getCardinality`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtensibleConstantEvaluationStatistics

          public ExtensibleConstantEvaluationStatistics​(ExtensibleSailStore extensibleSailStore)

  - ### Method Detail

    - #### createCardinalityCalculator

          protected EvaluationStatistics.CardinalityCalculator createCardinalityCalculator()

      Specified by:
        `createCardinalityCalculator` in class `ExtensibleEvaluationStatistics`